##
## Copyright (C) HySoP 2011-2022
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##         http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##

# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
#
default_language_version:
    python: python3.9

repos:
- repo: https://github.com/johann-petrak/licenseheaders.git
  rev: v0.8.8
  hooks:
      - id: licenseheaders
        pass_filenames: false
        args: ['-t', './NOTICE', '-v', '-d', 'hysop']

- repo: https://github.com/asottile/pyupgrade
  rev: v2.34.0
  hooks:
    - id: pyupgrade
      args: ['--py38-plus']

- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.3.0
  hooks:
    - id: check-added-large-files
      args: ['--maxkb=1024']
    - id: check-ast
    - id: check-case-conflict
    - id: check-merge-conflict
    - id: check-symlinks
    - id: check-toml
    - id: check-json
    - id: check-xml
    - id: check-yaml
    - id: debug-statements
    - id: detect-private-key
    - id: end-of-file-fixer
    - id: fix-encoding-pragma
      args: ['--remove']
    - id: mixed-line-ending
      args: ['--fix=lf']
    - id: trailing-whitespace
      args: ['--markdown-linebreak-ext=md']
